@import 'sass/lifecycle.scss';
@import 'sass/config.scss';
@import 'sass/mixins.scss';

.banner {
   position: relative;
   margin: auto;
   overflow: hidden;
   display: flex;
   align-content: center;
   align-items: center;
   justify-content: center;
   opacity: 0;

   transition: opacity 50ms linear;

   &.visible {
       opacity: 1;
   }

   button {
      background: rgba(0,0,0,.25);
      color: $light;
      padding: .3rem;
      border: 0;
      outline: none;

      svg {
         fill: $light;
         width: 1.25rem;
         height: 1.25rem;
         display: block;
      }
   }

   video,
   img,
   iframe {
      position: relative;
      width: 100%;
      height: 100%;
   }

   video,
   img {
      display: block;
      object-fit: contain;
      object-position: center center;
   }

   &.video,
   .videoEnded {
    //   background: black;
   }

   .clickLayer {
      position: absolute;
      width: 100%;
      height: 100%;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      z-index: 2;
   }
   
   .videoEnded {
      position: absolute;
      width: 100%;
      height: 100%;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      z-index: 2;

      animation-name: fadeIn;
      animation-duration: .3s;
      animation-fill-mode: both;

      a {
         display: block;
         width: 100%;
         height: 100%;
      }

      button {
         position: absolute;
         bottom: .3rem;
         left: .3rem;
         z-index: 3;
      }
   }

}

@keyframes fadeIn {
   from {
     opacity: 0;
   }
 
   to {
     opacity: 1;
   }
 }
